1. API list
Blu V2.0
  • Blu API Document V2.0
  • Blu接口文档 Copy
  • Blu接口文档
  • API list
    • 1-Create task
      POST
    • 2-Upload user list
      POST
    • 3-Pre-dial verification
      POST
    • 4-Cancel call
      POST
    • 5-Dial result query [Includes slots and scripts]
      POST
    • 6-Dial result callback [Includes slots and scripts]
      POST
    • 5-Dial result query
      POST
    • 6-Dial result callback
      POST
  • Annex
    • Attachment: payment time expression and the corresponding interval format of different users’ responses
    • Annex: Dictionary of call conclusions
  • Schemas
    • 示例数据模型
      • data字段返回结果
  1. API list

2-Upload user list

POST
/rest/v1/uploadAndStartJob
1.A taskId is only valid for the current day. Please generate a new taskId for the next day.
2.The number of lists uploaded at a time should not exceed 200.
3.Please do not continue to upload lists with expired taskId.

Request

Header Params

Body Params application/json

Example
{
    "taskId": 66635573.
    "records": [
        {
            "id": 55667448,
            "name": "Anoj Mohoo",
            "mobile": "0177****3990",
            "extVars": "{"uniqueId": "12345678", "orderId":10000}",
            "callVars": "{"ClientName": "Bob", "OverDueDays":"1"}"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/rest/v1/uploadAndStartJob' \
--header 'appId: 10001' \
--header 'timeStamp: 1626856869046' \
--header 'sign: 84e00b98ea02b9afd0aa20d289ff5979df9308278572d7300d24dea85ef5a948' \
--header 'Content-Type: application/json' \
--data-raw '{
    "taskId": 66635573.
    "records": [
        {
            "id": 55667448,
            "name": "Anoj Mohoo",
            "mobile": "0177****3990",
            "extVars": "{"uniqueId": "12345678", "orderId":10000}",
            "callVars": "{"ClientName": "Bob", "OverDueDays":"1"}"
        }
    ]
}'

Responses

🟢200Success
application/json
Body

Examples
{
    "code": 2000,
    "message": "success",
    "jobId": 20210203748,
    "count": 2
}
Modified at 2024-11-05 11:37:48
Previous
1-Create task
Next
3-Pre-dial verification
Built with